;=========================================================================
(defun c:kolortla-old ()
(if (mh:qawa)
	(progn

		(if (= (getvar "bkgcolor") 0)
		(setvar "bkgcolor" 7)
		(setvar "bkgcolor" 0)
		);if

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun kolortla
;=========================================================================

;=========================================================================
(defun c:kolortla-old4 (/ PREF cur pary)
	(if (mh:qawa)
		(progn

			(setvar "GRIDMODE" 0)
		
			(setq PREF	(vla-get-display
							(vla-get-PREFerences
								(vlax-get-acad-object)
							)
						)
			)
			
			
			(if (zerop (getvar "tilemode"))
				(setq cur (vla-get-graphicswinlayoutbackgrndcolor PREF))
				(setq cur (vla-get-graphicswinmodelbackgrndcolor PREF))
			)
			;;;;;;;;;;;;;;;;
			(if (= (type (vla-get-graphicswinlayoutbackgrndcolor pref)) VARIANT) ;potrzebne do zwcada 2017
				(setq cur	(vlax-variant-value
							(vlax-variant-change-type cur vlax-vblong)
							)
				)
			)
			(setq	pary	(list	'(0 727080 16777215) ; jest tlo - bedzie tlo
									'(727080 1321800 0)
									'(1321800 14935011 0)
									'(14935011 16777215 0)
									'(16777215 0 16777215)
							)
			)
			;;;;;;;;;;;;;;;;
			(if (not (or
					(eq cur (car (nth 0 pary)))
					(eq cur (car (nth 1 pary)))
					(eq cur (car (nth 2 pary)))
					(eq cur (car (nth 3 pary)))
					(eq cur (car (nth 4 pary)))
				))
				(setq cur (car (nth 4 pary)))
			)


			;;;;;;;;;;;;;;;;

			(if (zerop (getvar "tilemode"))
						(foreach % pary
							(if (= cur (car %))
								(progn
									(vla-put-graphicswinlayoutbackgrndcolor PREF (nth 1 %))
									(vla-put-layoutcrosshaircolor PREF (nth 2 %))
								)
							)
						)

						(foreach % pary
							(if (= cur (car %))
								(progn
									(vla-put-graphicswinmodelbackgrndcolor PREF (nth 1 %))
									(vla-put-modelcrosshaircolor PREF (nth 2 %))
								)
							)
						)
			)



			(vlax-release-object PREF)
			(vla-Regen (mh:ACX_ActivDocument) acAllViewports)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:kolortla ( / wybor )
	(if (mh:qawa)
		(progn
			;=========================================================================
			(setq wybor (mh:GetChoisText
							"\nPodaj kolor ta?"	;LANG;
							(list
								(nth *lang* (list "Czarne" "Black"))	;LANG;
								(nth *lang* (list "Biae" "White"))	;LANG;
								(nth *lang* (list "Szare" "Grey"))	;LANG;
								(nth *lang* (list "bRzowe" "bRown"))	;LANG;
								(nth *lang* (list "Zielone" "grEen"))	;LANG;
							)
							(nth *lang* (list "Czarne" "Black"))	;LANG;
						)
			)
			
			(if (= wybor (nth *lang* (list "Czarne" "Black")))	;LANG;
				(progn
					(mh:BGColor 0 0 0 )
					(mh:CursorColor 255 255 255)
				) ;progn
			) ;if
			
			(if (= wybor (nth *lang* (list "Szare" "Grey")))	;LANG;
				(progn
					(mh:BGColor 130 125 130 )
					(mh:CursorColor 0 0 0)
				) ;progn
			) ;if
			
			(if (= wybor (nth *lang* (list "Biae" "White")))	;LANG;
				(progn
					(mh:BGColor 255 255 255 )	
					(mh:CursorColor 0 0 0 )
				) ;progn
			) ;if
			
			(if (= wybor (nth *lang* (list "bRzowe" "bRown")))	;LANG;
				(progn
					(mh:BGColor 80 45 25 )
					(mh:CursorColor 255 255 255)
				) ;progn
			) ;if
			
			(if (= wybor (nth *lang* (list "Zielone" "grEen")))	;LANG;(
				(progn
					(mh:BGColor 31 46 0 )
					(mh:CursorColor 255 255 255)
				) ;progn
			) ;if
			
			(vla-Regen (mh:ACX_ActivDocument) acAllViewports)
			;=========================================================================
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:oznprzekr:old ( / dcl_id DCL_skala DCL_symbol zamkniecie P1 P2 SKALA P3 katciecia P4 P5 katkierunku A1 A2 A3 A4 A5 A6 A7 A8 A9 )
(if (mh:qawa)
(progn

(mh:ustzap)


 (setq dcl_id (load_dialog "profilek-inne.dcl"))
	   (if (not (new_dialog "przekroj" dcl_id))
		(progn
			(alert "Nie znaleziono pliku profilek-inne.dcl")
			(exit)
			);progn
		);if
		
;==================
	(if (null *DCL_przekroj*)
        (setq *DCL_przekroj* (list "0,25" "A"))
      )		
      (setq DCL_skala (car *DCL_przekroj*)
            DCL_symbol (cadr *DCL_przekroj*)
      ) 
;==================		
      (foreach % (list "DCL_skala" "DCL_symbol")
	  
	    (set_tile % (eval (read %)))
        (action_tile % (strcat "(setq " % " $value)"))
      )
;================
		   
		   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
		   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
    
		(if (= zamkniecie 1)
			   (progn
						(setq *DCL_przekroj* (list DCL_skala DCL_symbol))
			  );progn
		);if


;=========================================================================
;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
(if (> (atof (mh:MsgCommaToDot DCL_skala)) 0)
(setq SKALA (atof (mh:MsgCommaToDot DCL_skala)))
(progn
(alert "Skala strzaki nie jest wpisana poprawnie !")
(setq zamkniecie 0)
)
)
;=========================================================================


(if (= zamkniecie 1)
(progn

(if (null (tblsearch "Ltype" "IS_dot_v002"))
		(command "_-linetype" "_l" "IS_dot_v002" "profilek"  "")
);if


(mh:ACX_MAKE_TextStyle_TTF "IS_Arial" "Arial" nil 0.8 nil T)

(if (tblsearch "Layer" "IS_przekroje_oznaczenia")
  (command "_clayer" "IS_przekroje_oznaczenia")
 (progn
	(command "_-layer"
		"_N" "TEMP-LAYER"
		"_C" "3" "TEMP-LAYER"
		"_L" "Continuous" "TEMP-LAYER"
		"_LW" "0.18" "TEMP-LAYER" "")
	(command "_rename" "_LA" "TEMP-LAYER" "IS_przekroje_oznaczenia")
	(command "_clayer" "IS_przekroje_oznaczenia")
 );progn
);if
(setvar "osnapcoord" 1)


;=========================================================================
(setq	P1 (getpoint "\nKliknij pierwszy punkt oznaczenia przekroju.")
		P2 (getpoint P1 "\nKliknij drugi punkt oznaczenia przekroju.")
);setq
;=========================================================================
(setvar "celtype" "IS_dot_v002")
(command "_line" P1 P2 "")
(setvar "celtype" "BYLAYER")
;=========================================================================
(setq	P3 (getpoint P1 "\nKliknij kierunek odejcia")
		katciecia (+ (* 2 pi) (angle P1 P2))
		P4 (polar P3 (+ katciecia (/ pi 2)) (distance P1 P2))
		P5 (inters P1 P2 P3 P4 nil)
		katkierunku (+ (* 2 pi) (angle P5 P3))
);setq
;=========================================================================
(if katkierunku
	(progn
		(setq	A1 (polar P1 katkierunku (* 45 SKALA))
				A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
				A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
				A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A5 (polar A1 katkierunku (* 80 SKALA))
				A9 (polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA))
		);setq
		(command	"_line" P1 A1 ""
					"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
					"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
		);command

		(setq	A1 (polar P2 katkierunku (* 45 SKALA))
				A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
				A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
				A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
				A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
				A5 (polar A1 katkierunku (* 80 SKALA))
				A9 (polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA))
		);setq
		(command	"_line" P2 A1 ""
					"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
					"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
		);command
	);progn
);if



);progn
);if


(mh:ustprzywr) 

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:oznprzekr ( / dcl_id DCL_skala DCL_symbol zamkniecie P1 P2 SKALA P3 katciecia P4 P5 katkierunku A1 A2 A3 A4 A5 A6 A7 A8 A9 )
(if (mh:qawa)
	(progn

		(mh:ustzap)


		 (setq dcl_id (load_dialog (nth *lang* (list "profilek-inne.dcl" "profilek-inne_EN.dcl"))))	;LANG;
			   (if (not (new_dialog "przekroj" dcl_id))
				(progn
					(alert (nth *lang* (list "Nie znaleziono pliku profilek-inne.dcl" "File not found profilek-inne_EN.dcl")))	;LANG;
					(exit)
					);progn
				);if
				
		;==================
			(if (null *DCL_przekroj*)
				(setq *DCL_przekroj* (list "0,25" "A"))
			  )		
			  (setq DCL_skala (car *DCL_przekroj*)
					DCL_symbol (cadr *DCL_przekroj*)
			  ) 
		;==================		
			  (foreach % (list "DCL_skala" "DCL_symbol")
			  
				(set_tile % (eval (read %)))
				(action_tile % (strcat "(setq " % " $value)"))
			  )
		;================
				   
				   (action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
				   (action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
		   
		   (start_dialog)
		   (unload_dialog dcl_id)
		   
			
				(if (= zamkniecie 1)
					   (progn
								(setq *DCL_przekroj* (list DCL_skala DCL_symbol))
					  );progn
				);if


		;=========================================================================
		;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
		(if (> (atof (mh:MsgCommaToDot DCL_skala)) 0)
			(setq SKALA (atof (mh:MsgCommaToDot DCL_skala)))
			(progn
				(alert (nth *lang* (list "Skala strzaki nie jest wpisana poprawnie !" "The arrow scale is not entered correctly !")))	;LANG;
				(setq zamkniecie 0)
			)
		)
		;=========================================================================


		(if (= zamkniecie 1)
			(progn

				(mh:ACX_LoadLineType "profilek.lin" "IS_dot_v002" nil)
				(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
				(mh:warstwa "IS_przekroje_oznaczenia" T)
				(setvar "osnapcoord" 1)
				;=========================================================================
				(setq	P1 (getpoint (nth *lang* (list "\nKliknij pierwszy punkt oznaczenia przekroju." "\nClick the first section mark point.")))	;LANG;
						P2 (getpoint P1 (nth *lang* (list "\nKliknij drugi punkt oznaczenia przekroju." "\nClick the second section mark point.")))	;LANG;
				);setq
				;=========================================================================
				(vla-put-LinetypeScale	(vlax-ename->vla-object (mh:ENT_Make_Line "IS_przekroje_oznaczenia" P1 P2 nil "IS_dot_v002" nil))
										(* SKALA (getvar "CELTSCALE"))
				)
				;=========================================================================
				(setq	P3 (getpoint P1 (nth *lang* (list "\nKliknij kierunek odejcia." "\nClick departure direction.")))	;LANG;
						katciecia (+ (* 2 pi) (angle P1 P2))
						P4 (polar P3 (+ katciecia (/ pi 2)) (distance P1 P2))
						P5 (inters P1 P2 P3 P4 nil)
						katkierunku (+ (* 2 pi) (angle P5 P3))
				);setq
				;=========================================================================
				(if katkierunku
					(progn
						(setq	A1 (polar P1 katkierunku (* 45 SKALA))
								A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
								A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
								A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
								A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
								A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
								A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
								A5 (polar A1 katkierunku (* 80 SKALA))
								A9 (if 
										(>
											(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA)))
											(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA)))
										)
										(polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA))
										(polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA))
									)
						);setq
						(command	"_line" P1 A1 ""
									"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
									"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
						);command

						(setq	A1 (polar P2 katkierunku (* 45 SKALA))
								A2 (polar A1 (+ katkierunku (/ pi 2)) (* 13 SKALA))
								A8 (polar A1 (- katkierunku (/ pi 2)) (* 13 SKALA))
								A3 (polar A2 (- katkierunku 0.13) (* 47 SKALA))
								A7 (polar A8 (+ katkierunku 0.13) (* 47 SKALA))
								A4 (polar A3 (+ katkierunku (/ pi 2)) (* 13 SKALA))
								A6 (polar A7 (- katkierunku (/ pi 2)) (* 13 SKALA))
								A5 (polar A1 katkierunku (* 80 SKALA))
								A9 (if 
										(>
											(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA)))
											(distance (polar P1 (angle P1 P2) (* 0.5 (distance P1 P2))) (polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA)))
										)
										(polar A1 (+ katkierunku (/ pi 2)) (* 36 SKALA))
										(polar A1 (- katkierunku (/ pi 2)) (* 36 SKALA))
									)
						);setq
						(command	"_line" P2 A1 ""
									"_pline" A1 "_w" "0" "0" A2 A3 A4 A5 A6 A7 A8 "_c"
									"_.text" "_J" "_C" A9 (rtos (* 42 SKALA) 2 2) (rtos (/ (* (- katkierunku (/ pi 2)) 180) pi) 2 2) DCL_symbol
						);command
					);progn
				);if



			);progn
		);if


		(mh:ustprzywr) 

	);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rysunkitypowe ( / sciezka)

	(if (mh:qawa)
		(progn

			(setq sciezka (strcat (mh:gdziepliki 0) "\\RYSUNKI_TYPOWE\\"))
				(mh:pliki sciezka (nth *lang* (list "Wstawianie rysunkw typowych." "Inserting typical drawings.")))	;LANG;
				
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
	
(princ)
);defun schematydwg
;=========================================================================

;=========================================================================
(defun c:prof_prod ( / sciezka)
	(if (mh:qawa)
		(progn

			(setq sciezka (strcat (mh:gdziepliki 0) "\\PRODUCENCI\\"))
				(mh:pliki3 sciezka (nth *lang* (list "Producenci." "Manufacturers.")))	;LANG;
				
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if

(princ)
);defun schematydwg
;=========================================================================

;=========================================================================
(defun c:strzkrotka ( / szerpline)
	(if (mh:qawa)
		(progn

			(mh:ustzap)
			(setq szerpline (getvar "PLINEWID"))
			(setvar "PLINEWID" 0.0)


			(if (/= (substr (getvar "CLAYER") 1 10) "IS_rewizja")
				(mh:ENT_Make_Layer "IS_opisy" 41 "CONTINUOUS" 13 1 0 T)
			);if

			(mh:strzpol 0.25 nil 0.6 nil)

			(setvar "PLINEWID" szerpline)
			(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:strzdluga ( / szerpline)
	(if (mh:qawa)
		(progn

		(mh:ustzap)
		(setq szerpline (getvar "PLINEWID"))
		(setvar "PLINEWID" 0.0)

		(if (/= (substr (getvar "CLAYER") 1 10) "IS_rewizja")
			(mh:ENT_Make_Layer "IS_opisy" 41 "CONTINUOUS" 13 1 0 T)
		);if

		(mh:strzpol 0.03 nil 0.2 nil)

		(setvar "PLINEWID" szerpline)
		(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:strzdynamic (/ SP LST)
(if (mh:qawa)
	(progn

		(mh:ustzap)

		;=========================================================================
		(defun mh:STRZALKA_DynamicPreview (Sp / VP VE P1 P2 P3 P4 P5 P6)
			(while (= 5 (car (setq VP (grread T 13 0))))
				(redraw)
				(setq	VE (cadr VP)
						P1 (polar Sp (+ (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.05))
						P2 (polar Sp (- (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.05))
						P3 (polar P1 (angle Sp VE) (* (distance Sp VE) 0.7))
						P4 (polar P2 (angle Sp VE) (* (distance Sp VE) 0.7))
						P5 (polar P3 (+ (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.1232))
						P6 (polar P4 (- (angle Sp VE) (* pi 0.5)) (* (distance Sp VE) 0.1232))
				)
				(grvecs (list 1 P1 P2 P2 P4 P4 P6 P6 VE VE P5 P5 P3 P3 P1))
			)
			(redraw)
			(if (= 3 (car VP))
				(list P1 P2 P4 P6 VE P5 P3)
			)
		)
		;=========================================================================
		(if (setq SP (getpoint (nth *lang* (list "\nZaznacz pocztek strzaki: " "\nMark the beginning of the arrow: "))))	;LANG;
			(progn
				(princ (nth *lang* (list "\nZaznacz koniec strzaki: " "\nMark the end of the arrow: ")))	;LANG;
				(if (setq LST (mh:STRZALKA_DynamicPreview SP))
					(progn
						(mh:SYS_StartUndo)
						(mh:ENT_Make_LWPolyline (getvar "CLAYER") nil LST 1)
						(mh:SYS_EndUndo)
					)
					(princ (nth *lang* (list "\n nieprawidowy punkt." "\n invalid point.")))	;LANG;
				)
			)
			(princ (nth *lang* (list "\n nieprawidowy punkt." "\n invalid point.")))	;LANG;
		)
		
		(redraw)
		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:izolacjaboczna ( / DCL_grubosc_izolacji dcl_id zamkniecie oldCELTSCALE P1 P2 P3 L1 L2 L2a L2b L3 K1 K2 K2a K2b K3 CzyKonczyc )
(if (mh:qawa)
	(progn

		(mh:ustzap)

		;(setvar "DIMZIN" 0)
		(setvar "OSNAPCOORD" 1)

		;==================
			(if (null *grubscizolacji*)
				(setq *grubscizolacji* 4.0)
			);if
			
			  (setq DCL_grubosc_izolacji (rtos *grubscizolacji*)
			  )  
		;==================


		(setq dcl_id (load_dialog (nth *lang* (list "profilek-inne.dcl" "profilek-inne_EN.dcl"))))	;LANG;
		   (if (not (new_dialog "gruboscizolacji" dcl_id))
				(progn
					(alert (nth *lang* (list "Nie znaleziono pliku profilek-inne.dcl" "File not found profilek-inne_EN.dcl")))	;LANG;
					(exit)
				);progn
			);if
				

		;==================		
			  (foreach % (list "DCL_grubosc_izolacji")
			  
				(set_tile % (eval (read %)))
				(action_tile % (strcat "(setq " % " $value)"))
			  )
		;================
		;================

					(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
					(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
		   
		   (start_dialog)
		   (unload_dialog dcl_id)
		   
			

		(if (= zamkniecie 1)
			(progn			
					;=========================================================================
					;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
					(if (> (atof (mh:MsgCommaToDot DCL_grubosc_izolacji)) 0)
						(setq *grubscizolacji* (atof (mh:MsgCommaToDot DCL_grubosc_izolacji)))
						(progn
							(alert (nth *lang* (list "Grubo izolacji nie jest wpisana poprawnie!" "The thickness of the insulation is not entered correctly!")))	;LANG;
							(setq zamkniecie 0)
						)
					)
					;=========================================================================
			);progn
		);if



		(if (= zamkniecie 1)
		(progn	
			;=============================================================
			(mh:ACX_LoadLineType "profilek.lin" "IS_izolacja_001" nil)
			(mh:warstwa "IS_izolacja" T)
			;=============================================================
			(setq oldCELTSCALE (getvar "CELTSCALE"))

			(setq	P1 (getpoint (nth *lang* (list "\nKliknij pierwszy punkt obwodu izolacji." "\nClick the first point of the insulation circuit.")))	;LANG;
					P2 (getpoint P1 (nth *lang* (list "\nKliknij drugi punkt obwodu izolacji." "\nClick the second point of the insulation circuit.")))	;LANG;
					P3 (getpoint P2 (nth *lang* (list "\nKliknij kolejny punkt obwodu izolacji." "\nClick the next point of the insulation circuit.")))	;LANG;
			);setq


			;=========================================================================
			(while P3
					(if (null L1)
						(setq	L1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2)))
						(setq	L1 L2)
					)
					(setq	L2a (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2))
							L2b (polar P2 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) (/ *grubscizolacji* 2))
							L3 (polar P3 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) (/ *grubscizolacji* 2)))
						(if (= 0 (distance L2a L2b))
							(setq L2 L2a)
							(setq L2 (inters L1 L2a L2b L3 nil))
						);if
						(setvar "celtype" "IS_izolacja_001")
						(setvar "CELTSCALE" (* (* *grubscizolacji* 0.95) oldCELTSCALE))
						(command "_line" L1 L2 "")
						
					(if (null K1)	
						(setq	K1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*))
						(setq	K1 K2)
					)
					(setq	K2a (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*)
							K2b (polar P2 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) *grubscizolacji*)
							K3 (polar P3 (mh:anglefix (+ (angle P2 P3) (* pi 0.5))) *grubscizolacji*))
						(if (= 0 (distance K2a K2b))
							(setq K2 K2a)
							(setq K2 (inters K1 K2a K2b K3 nil))
						);if
						(setvar "celtype" "BYLAYER")
						(setvar "CELTSCALE" 1.0)
						(command "_line" K1 K2 "")
						

			(setq	P1 P2
					P2 P3
					P3 (getpoint P2 (nth *lang* (list "\nKliknij kolejny punkt obwodu izolacji." "\nClick the next point of the insulation circuit.")))	;LANG;
			);setq
			);while
			;=========================================================================


							(setq CzyKonczyc	(mh:GetChoisText
													(nth *lang* (list "\nDorysowa izolacj do koca?" "\nDraw insulation to the end?"))	;LANG;
														(list
															(nth *lang* (list "Tak" "Yes"))	;LANG;
															(nth *lang* (list "Nie" "No"))	;LANG;
														)
														(nth *lang* (list "Tak" "Yes"))	;LANG;
												)
							)
							
							(if (= CzyKonczyc (nth *lang* (list "Tak" "Yes")))	;LANG;
								(progn
										(if (null L1)
											(setq	L1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2)))
											(setq	L1 L2)
										)
										(setq	L2 (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) (/ *grubscizolacji* 2)))
											(setvar "celtype" "IS_izolacja_001")
											(setvar "CELTSCALE" (* (* *grubscizolacji* 0.95) oldCELTSCALE))
											(command "_line" L1 L2 "")
											
										(if (null K1)	
											(setq	K1 (polar P1 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*))
											(setq	K1 K2)
										)
										(setq	K2 (polar P2 (mh:anglefix (+ (angle P1 P2) (* pi 0.5))) *grubscizolacji*))
											(setvar "celtype" "BYLAYER")
											(setvar "CELTSCALE" 1.0)
											(command "_line" K1 K2 "")
								);progn
							);if
				
			(setvar "CELTSCALE" oldCELTSCALE)
		);progn
		);if
			
		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:sf ( / ) (c:mhslide))
(defun c:mhslide ( / ECHO_MEMBER P1) ;ZWCAD/ZWCAD+
(if (mh:qawa)
	(progn

		(setq	ECHO_MEMBER (getvar "CMDECHO"))
		(setvar "CMDECHO" 0)

		;=========================================================================
		;przesunac 
		(setq P1 (getpoint (nth *lang* (list "\nPodaj punkt wstawienia tego rysunku / punkt 0,0 przy wstawianiu insertem." "\nSpecify the insertion point for this drawing / point 0.0 when inserting as insert."))))	;LANG;
		(setvar "INSBASE" P1)
		;=========================================================================
		(mh:SYS_Audit)
		(mh:SYS_PurgeAll)
		;=========================================================================
		; usuwa warstwy niewidoczne i zamrozone
		(c:uswarniewid)
		;=========================================================================
		; usuwa zapisane stany warstw
		(mh:DelLayStates)
		;=========================================================================
		; usuwa zapisane filtry warstw
		(mh:DelLayFilters)
		;=========================================================================
		;zoom calosc rysunku - dziaa OK
		(command "_zoom" "_e")
		;=========================================================================
		;zapisac jako dwg2000
		(if (or (=(getvar "PRODUCT") "AutoCAD") (=(getvar "PRODUCT") "AutoCAD LT") (=(getvar "PRODUCT") "ZWCAD") (=(getvar "PRODUCT") "GstarCAD")) ; wersja na AC ZW+ 			;ZWCAD/ZWCAD+
		;(if (or (=(getvar "PRODUCT") "AutoCAD") (=(getvar "PRODUCT") "AutoCAD LT") (=(getvar "PRODUCT") "GstarCAD")) ; wersja na ZW GS 											;ZWCAD/ZWCAD+
			(command "_saveas" "_2000" "" "_y") 	;dziaa na autocadzie i zwcadzie+ i gstarcad2016 2017 zwcadzie 2017
			(command "_saveas" "_a2k" "" "_y") 		;dziaa na gstarcadzie starym oraz starym zwcadzie
		)
		;=========================================================================
		;zrobic slide_image
		(command "_mslide" (strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".sld"))		;dziaa OK
		;(command "_mslide" "") 	;dziaa tylko na autocad
		;=========================================================================
		;skasowa plik bak
		(if (findfile (strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".bak"))
			(vl-file-delete 
					(strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".bak")
			)
		)
		;=========================================================================
		;skasowa plik dxf jak jest taki
		(if (findfile (strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".dxf"))
			(vl-file-delete 
					(strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".dxf")
			)
		)
		;=========================================================================
		;zamkn rysunek
		(command "_close")
		;=========================================================================

		(setvar "cmdecho" ECHO_MEMBER)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
) ;defun mhslide
;=========================================================================

;=========================================================================
(defun c:sdd ( / ECHO_MEMBER P1) ;ZWCAD/ZWCAD+	; tworzenie slajdw dla blokw dynamicznych TYLKO DLA TAKICH UYWAC TEGO POLECENIA
(if (mh:qawa)
(progn

	(setq	ECHO_MEMBER (getvar "cmdecho"))
	(setvar "cmdecho" 0)

	;=========================================================================
	;zoom calosc rysunku - dziaa OK
	(command "_zoom" "_e")
	;=========================================================================
	
	;=========================================================================
	;zrobic slide_image
	(command "_mslide" (strcat (getvar "dwgprefix") (vl-filename-base (strcat (getvar "dwgprefix") (getvar "dwgname"))) ".sld"))		;dziaa OK
	;(command "_mslide" "") 	;dziaa tylko na autocad
	;=========================================================================

	;=========================================================================
	;zamkn rysunek
	(command "_close")
	;=========================================================================

	(setvar "cmdecho" ECHO_MEMBER)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
) ;defun sdd
;=========================================================================

;=========================================================================
(defun c:mhbackup () ; ;ZWCAD/ZWCAD+
(if (mh:qawa)
	(progn

		(if (or (= (getvar "PRODUCT") "AutoCAD") (= (getvar "PRODUCT") "AutoCAD LT") (= (getvar "PRODUCT") "ZWCAD") (= (getvar "PRODUCT") "GstarCAD")) ; wersja AC ZW+ 		;ZWCAD/ZWCAD+
		;(if (or (= (getvar "PRODUCT") "AutoCAD") (= (getvar "PRODUCT") "AutoCAD LT")) ; wersja na ZW GS 									;ZWCAD/ZWCAD+
			(c:mhbackup-new) 	;dziaa na autocadzie i zwcadzie+
			(c:mhbackup-old) 	;dziaa na gstarcadzie oraz starym zwcadzie
		)

	);progn (mh:qawa)
	
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:mhbackup-old ( / DirName name0 name1) ; ; skopiowac do wersji starej jak by powstaa
	(if (mh:qawa)
		(progn

			(mh:ustzap)
			; zmienne
			; (getvar "dwgname") - asd.dwg
			; (getvar "dwgprefix") - C:\Users\marcin\Desktop\
			; (getvar "savename") - C:\Users\marcin\Desktop\asd.dwg
			; (vl-filename-base (getvar "savename")) - asd

			; (strcat (getvar "dwgprefix") "BACKUP_PROFILEK" "\\" (vl-filename-base (getvar "savename")) "_" (mh:getdate) "_" (mh:gettime) ".dwg") - "C:\\Users\\marcin\\Desktop\\BACKUP_PROFILEK\\asd_2012_02_26_12:45:53.dwg"
			; (vl-mkdir directoryname)

			(setq	DirName		"BACKUP_PROFILEK"
					name0		(getvar "savename")
					name1		(strcat (getvar "dwgprefix") DirName "\\" (vl-filename-base (getvar "savename")) "  -  " (mh:getdate) "  -  " (mh:gettime) ".dwg")
			);setq

			(if (= nil (vl-file-directory-p (strcat (getvar "dwgprefix") DirName)))
				(vl-mkdir (strcat (getvar "dwgprefix") DirName))
			);if

			(command "_qsave")
			(command "_saveas" "" name1)
			(command "_saveas" "" name0 "_y") ;zwcad+ nie potrzebuje na kocu potwierdzenia "_y"  sprawdzi jaka zmienna tym steruje

			(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
	(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:mhbackup-new ( / DirName name0 name1)
(if (mh:qawa)
(progn

(mh:ustzap)

	(if (or	(equal (car (mh:savename)) "" )
			(equal (car (mh:savename)) (cadr (mh:savename)) )
		)
		(princ (nth *lang* (list "\nPlik prawdopodobnie nie jest zapisany!!!" "\nThe file is probably not saved!!!")))	;LANG;
		(progn

			(setq	DirName		"BACKUP_PROFILEK"
					name0		(car (mh:savename))
					name1		(strcat (getvar "dwgprefix") DirName "\\"  (cadr (mh:savename)) "  -  " (mh:getdate) "  -  " (mh:gettime) ".dwg")
			);setq

			(if (= nil (vl-file-directory-p (strcat (getvar "dwgprefix") DirName)))
				(vl-mkdir (strcat (getvar "dwgprefix") DirName))
			);if

			(if	(= (vla-get-ReadOnly (mh:ACX_ActivDocument)) :vlax-true)	;jezeli plik jest tylko do odczytu
				(progn
					;(command "_saveas" "" name1 "_y") 
					;(setq ThisDrawing (mh:ACX_ActivDocument) )
					;(vlax-dump-object ThisDrawing t )

					(if (vl-file-copy name0 name1)
						(princ (nth *lang* (list "\nKopia zapisana." "\nCopy saved.")))	;LANG;
						(princ (nth *lang* (list "\nNiepowodzenie w tworzeniu kopii zapasowej. Sprbuj najpierw zapisa plik skrtem \"CTRL+S\" " "\nBackup failure. Try to save the file with the \"CTRL+S\" shortcut first.")))	;LANG
					)
					;(vla-SaveAs (mh:ACX_ActivDocument) name1 acNative)
				)
				(progn
					(command "_qsave")
					;(vla-Save (mh:ACX_ActivDocument))	;save
					(if (vl-file-copy name0 name1)
						(princ (nth *lang* (list "\nKopia zapisana." "\nCopy saved.")))	;LANG;
						(princ (nth *lang* (list "\nNiepowodzenie w tworzeniu kopii zapasowej. Sprbuj najpierw zapisa plik skrtem \"CTRL+S\" " "\nBackup failure. Try to save the file with the \"CTRL+S\" shortcut first.")))	;LANG
					)
					(command "_qsave")
					;(vla-Save (mh:ACX_ActivDocument))	;save 
				)
			)
				
		);progn
	);if



(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:HPwewzas ( / LL punkt0 punkt1 listapunktow L0 punktk) ;zasigi hydrantw w linii prostej

(if (mh:qawa)
	(progn
		(mh:ustzap)
			
			(mh:warstwa "IS_HPwew_20m_zasieg" nil)
			(mh:warstwa "IS_HPwew_30m_zasieg" nil)
			(mh:warstwa "IS_HPwew_40m_zasieg" nil)
			
			(setq	LL 	(* 100	(atof	(mh:GetChoisText
											(nth *lang* (list "\nPodaj dugo wa poarniczego [m]:" "\nEnter the length of the fire hose [m]:"))	;LANG;
											(list "20" "30" "40")
											"20"
										)
								)
						)
					punkt0 (getpoint (nth *lang* (list "\nKliknij punkt hydrantu: " "\nClick the hydrant point: ")))	;LANG;
					listapunktow (list punkt0)
					L0 0.0	;dugo skorygowana
			)	;model

			(setq punkt1 (getpoint punkt0 (nth *lang* (list "\nKliknij punkt poredni: " "\nClick a waypoint: "))))	;LANG;

			;===================================================================================
			(while (< (+ L0 (distance punkt0 punkt1)) LL)
				(setq	L0 (+ L0 (distance punkt0 punkt1))
						listapunktow (append listapunktow (list punkt1))
						punkt0 punkt1
						punkt1 (getpoint punkt0 (nth *lang* (list "\nKliknij kolejny punkt poredni: " "\nClick the next waypoint: ")))	;LANG;
				)
			)
			;===================================================================================
			(setq	punkt1 (polar punkt0 (angle punkt0 punkt1) (- LL L0))
					listapunktow (append listapunktow (list punkt1))
			)
			;===================================================================================
			(if (= LL 2000) (mh:ENT_Make_LWPolyline "IS_HPwew_20m_zasieg" nil listapunktow 0))
			(if (= LL 3000) (mh:ENT_Make_LWPolyline "IS_HPwew_30m_zasieg" nil listapunktow 0))
			(if (= LL 4000) (mh:ENT_Make_LWPolyline "IS_HPwew_40m_zasieg" nil listapunktow 0))
			;===================================================================================
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if

(princ)
);defun
;=========================================================================

;=========================================================================
(defun mh:dynramkapodwojna (/ SP LST) ;otwor na kolanach prostoktnych do wentylacji
(if (mh:qawa)
	(progn

		(mh:ustzap)

		;=========================================================================
			(defun mh:ramka_pros_podw_DynamicPreview (Sp / VP VE P1 P2 P3 P4 P5 P6 P7 P8)
				(while (= 5 (car (setq VP (grread T 13 0))))
					(redraw)
					(setq	VE (cadr VP)
							P1 Sp
							P2 (list (nth 0 P1) (nth 1 VE))
							P3 VE
							P4 (list (nth 0 VE) (nth 1 Sp))
							P5 (list (+ (nth 0 P1) (* (distance P1 P4) 0.02)) (+ (nth 1 P1) (* (distance P1 P2) 0.02)))
							P6 (list (+ (nth 0 P2) (* (distance P1 P4) 0.02)) (- (nth 1 P2) (* (distance P1 P2) 0.02)))
							P7 (list (- (nth 0 P3) (* (distance P1 P4) 0.02)) (- (nth 1 P3) (* (distance P1 P2) 0.02)))
							P8 (list (- (nth 0 P4) (* (distance P1 P4) 0.02)) (+ (nth 1 P4) (* (distance P1 P2) 0.02)))
					)
					
					(grvecs (list 1 P1 P2 P2 P3 P3 P4 P4 P1 P5 P6 P6 P7 P7 P8 P8 P5))
				)
				(redraw)
				(if (= 3 (car VP))
					(list P1 P2 P3 P4 P1 P5 P6 P7 P8 P5)
				)
			)
		;=========================================================================
			(if (setq SP (getpoint (nth *lang* (list "\nKliknij dolny lewy naronik zakresu rysunku: " "\nClick the lower left corner of the drawing range: "))))	;LANG;
				(progn
					(princ (nth *lang* (list "\nKliknij grny prawy naronik zakresu rysunku: " "\nClick the upper right corner of the drawing range: ")))	;LANG;
					(if (setq LST (mh:ramka_pros_podw_DynamicPreview SP))
						(progn
							(mh:SYS_StartUndo)
							(mh:ENT_Make_LWPolyline (getvar "CLAYER") nil LST 1)
							(mh:SYS_EndUndo)
						)
						(princ (nth *lang* (list "\n nieprawidowy punkt." "\n invalid point.")))	;LANG;
					)
				)
				(princ (nth *lang* (list "\n nieprawidowy punkt." "\n invalid point.")))	;LANG;
			)
			(redraw)
			
		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:ex01 ( / kond opis )

(if (mh:qawa)
	(progn
		(mh:ustzap)
			
			(if (or	(equal (car (mh:savename)) "" )
					(equal (car (mh:savename)) (cadr (mh:savename)) )
				)
				(princ (nth *lang* (list "\nPlik nie jest zapisany. Zapisz plik i sprbuj ponownie." "\nThe file is not saved. Save the file and try again.")))	;LANG;
				(progn
					;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
					(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
					(mh:warstwa "IS_znacznik" T)
					
					;wstawi znacznik w punkcie 0,0
					(c:znacznik02 nil)
					
					; narysowac prostokt
					(mh:dynramkapodwojna)
					
					;wstawi opis i go przesun
					(setq kond	(mh:GetChoisText
									(nth *lang* (list "\nPodaj oznaczenie kondygnacji do eksportu?" "\nEnter the floor designation for export?"))	;LANG;
									(list
										(nth *lang* (list "PZT" "LAND"))	;LANG;
										"-03"
										"-02"
										"-01"
										"+00"
										"+01"
										"+02"
										"+03"
										"+04"
										"+05"
										"+06"
										"+07"
										"+08"
										"+09"
										"+10"
										"+11"
										"+12"
										"+13"
										"+14"
										"+15"
										(nth *lang* (list "dach" "roof"))	;LANG;
									)
									"+00"
								)
					)
					(setq opis (strcat "eksport_" (vl-string-right-trim ".dwg" (cadr (mh:savename))) "_" kond ".dwg"))	;(vl-string-right-trim "\\" (getvar "DWGPREFIX"))
					(command "_.text" "_J" "_MC" "0,0,0" "180" "0" opis)
					(if (not (= (getvar "PRODUCT") "AutoCAD LT")) ; autocad LT nie moe mie zaznaczonego opisu
						(mh:SYS_SetSelection (list (entlast)))
					)
					(mh:przesun '(0 0 0) (list (entlast)))
				)
			)
			
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if

(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:ex02old (/ Dir Dirname enTxt ss txt pt txt0 ENAMEznacznika jedn)
(if (mh:qawa)
	(progn
		(mh:ustzap)
		(setq jedn (getvar "INSUNITS"))
		(setvar "INSUNITS" 5)

		(setq	Dirname "eksport"
				Dir (strcat (getvar "DWGPREFIX") Dirname "\\")
		)
		
		(if (= nil (vl-file-directory-p (strcat (getvar "dwgprefix") DirName)))
			(vl-mkdir (strcat (getvar "dwgprefix") DirName))
		);if
		
		(vl-cmdf "_undo" "be")
		(if		(AND	(vl-file-directory-p Dir)
						(setq enTxt (car (entsel "\nZaznacz TEXT z nazw bloku do wstawienia: ")))
						(eq (cdr (assoc 0 (entget enTxt))) "TEXT")
						(setq txt0 (cdr (assoc 1 (entget enTxt))))
						(= "IS_znacznik_v02" (vla-get-Name (setq ENAMEznacznika (vlax-Ename->Vla-Object (car (entsel "\nKliknij znacznik skony: "))))))
						(setq pt (mh:CON_Array2list (vla-get-InsertionPoint ENAMEznacznika)))	
						;zaznaczyc wszystko oprocz znacznikow i odnosnikow 
						(setq ss	(ssget	'(		
												(-4 . "<NOT")
													(-4 . "<OR")
														(8 . "IS_XREF_DWG")
														(8 . "IS_XREF_IMAGE")
														(8 . "IS_znacznik")
														(8 . "IS_rewizja_*")
													(-4 . "OR>") 
												(-4 . "NOT>")
											)
									)
						)
				)
				(progn
					;=========================================================================
					;skasowa plik jak jest taki
					(if (findfile (setq txt (strcat Dir txt0)))
						(vl-file-delete (findfile (setq txt (strcat Dir txt0))))
					)
					;=========================================================================
					(vl-cmdf "_undo" "mark")
					(vl-cmdf "_move" ss "" pt "0,0,0")
					(vl-cmdf "_zoom" "object" "p" "")
					(vl-cmdf "_-wblock" txt "" "0,0,0" ss "")
					(vl-cmdf "_undo" "back")
				)
		)
		(vl-cmdf "_undo" "end")
		(setvar "INSUNITS" jedn)
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if

(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:ex02warimpex ( / )	;!!!!!!!!!!!!!!!!!!!!!!! WARIMPEX  WARIMPEX  WARIMPEX  WARIMPEX  WARIMPEX  WARIMPEX  WARIMPEX  WARIMPEX  WARIMPEX  WARIMPEX  !!!!!!!!!!!!!!!!!!!!!!!!!!!!
	(mh:ex02 "eksport_rys_INS_CO_PZT" (list 0 -300000 0) (list (list -50000 -336000 0) (list 20000 -283000 0)))
	(mh:ex02 "eksport_rys_INS_CO_-02" (list 0 -200000 0) (list (list -40000 -230000 0) (list 25000 -184000 0)))
	(mh:ex02 "eksport_rys_INS_CO_-01" (list 0 -100000 0) (list (list -40000 -130000 0) (list 25000 -84000 0)))
	(mh:ex02 "eksport_rys_INS_CO_+00" (list 0 0 0) (list (list -40000 -30000 0) (list 25000 16000 0)))
	(mh:ex02 "eksport_rys_INS_CO_+01" (list 0 100000 0) (list (list -40000 70000 0) (list 25000 116000 0)))
	(mh:ex02 "eksport_rys_INS_CO_+02" (list 0 200000 0) (list (list -40000 170000 0) (list 25000 216000 0)))
	(mh:ex02 "eksport_rys_INS_CO_+03" (list 0 300000 0) (list (list -40000 270000 0) (list 25000 316000 0)))
	(mh:ex02 "eksport_rys_INS_CO_+04" (list 0 400000 0) (list (list -40000 370000 0) (list 25000 416000 0)))
	(mh:ex02 "eksport_rys_INS_CO_+05" (list 0 500000 0) (list (list -40000 470000 0) (list 25000 516000 0)))
	(mh:ex02 "eksport_rys_INS_CO_+06" (list 0 600000 0) (list (list -40000 570000 0) (list 25000 616000 0)))
)
;=========================================================================

;=========================================================================
(defun c:ex02 ( / ) (mh:ex02 nil nil nil))
(defun mh:ex02 (nazwa punkt listapunktow / Dir Dirname enTxt ss txt pt txt0 ENAMEznacznika jedn)
; nazwa - nazwa pliku [text]
; punkt - punkt wstawiewnia eksportu [lista x y Z]
; lista dwoch punktow (list (list X Y Z) (list Z Y Z)) ;pierwszy dolny lewy punkt - drugi prawy grny rg zaznaczenia
; (mh:ex02 "test" (list 0 0 0) (list (list 8777000 -94650 0) (list 8778500 -94000 0)))


(if (mh:qawa)
	(progn
		(mh:ustzap)
		(setq jedn (getvar "INSUNITS"))
		(setvar "INSUNITS" 5)

		(setq	Dirname "eksport"
				Dir (strcat (getvar "DWGPREFIX") Dirname "\\")
		)
		
		(if (= nil (vl-file-directory-p (strcat (getvar "dwgprefix") DirName)))
			(vl-mkdir (strcat (getvar "dwgprefix") DirName))
		);if
		
		(vl-cmdf "_undo" "be")
		(if		(AND	(vl-file-directory-p Dir)
						(if nazwa
							(setq txt0 nazwa)
							(progn
								(setq enTxt (car (entsel (nth *lang* (list "\nZaznacz TEXT z nazw bloku do wstawienia: " "\nSelect TEXT with the block name to insert: ")))))	;LANG;
								(eq (cdr (assoc 0 (entget enTxt))) "TEXT")
								(setq txt0 (cdr (assoc 1 (entget enTxt))))
							);progn
						);if
						(if punkt
							(setq pt punkt)
							(progn
								(= "IS_znacznik_v02" (vla-get-Name (setq ENAMEznacznika (vlax-Ename->Vla-Object (car (entsel (nth *lang* (list "\nKliknij znacznik skony: " "\nClick the oblique marker: "))))))))	;LANG;
								(setq pt (mh:CON_Array2list (vla-get-InsertionPoint ENAMEznacznika)))
							);progn
						);if
						;zaznaczyc wszystko oprocz znacznikow i odnosnikow 
						(if listapunktow
							(setq ss	(ssget	"_w" (nth 0 listapunktow) (nth 1 listapunktow)
												'(		
													(-4 . "<NOT")
														(-4 . "<OR")
															(8 . "IS_XREF_DWG")
															(8 . "IS_XREF_IMAGE")
															(8 . "IS_znacznik")
															(8 . "IS_wytyczne_od_IS_dla_IS")
															(8 . "IS_rewizja_*")
														(-4 . "OR>") 
													(-4 . "NOT>")
												)
										)
							)
							(setq ss	(ssget	'(		
													(-4 . "<NOT")
														(-4 . "<OR")
															(8 . "IS_XREF_DWG")
															(8 . "IS_XREF_IMAGE")
															(8 . "IS_znacznik")
															(8 . "IS_wytyczne_od_IS_dla_IS")
															(8 . "IS_rewizja_*")
														(-4 . "OR>") 
													(-4 . "NOT>")
												)
										)
							)
						);if
				)
				(progn
					;=========================================================================
					;skasowa plik jak jest taki
					(if (findfile (setq txt (strcat Dir txt0)))
						(vl-file-delete (findfile (setq txt (strcat Dir txt0))))
					)
					;=========================================================================
					(vl-cmdf "_undo" "mark")
					(vl-cmdf "_move" ss "" pt "0,0,0")
					(vl-cmdf "_zoom" "object" "p" "")
					(vl-cmdf "_-wblock" txt "" "0,0,0" ss "")
					(vl-cmdf "_undo" "back")
				)
		)
		(vl-cmdf "_undo" "end")
		(setvar "INSUNITS" jedn)
		(mh:ustprzywr)
	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if

(princ)
);defun
;=========================================================================
 
;=========================================================================
(defun c:grzejnikrzut ( / skr PUNKTA PUNKTB PUNKTC PUNKTD )
(if (mh:qawa)
	(progn

		(mh:ustzap)


		;=============================================================
		(mh:warstwa "IS_grzejniki" T)
		(mh:warstwa "IS_grzejniki_os" nil)
		;=============================================================


		(setq	skr 5	;skr- skrocenie linii osiowej na grzejniku
				PUNKTA (getpoint (nth *lang* (list "\nKliknij pocztek grzejnika." "\nClick the beginning of the radiator.")))	;LANG;
				PUNKTB (getpoint PUNKTA (nth *lang* (list "\nKliknij koniec grzejnika." "\nClick the end of the radiator.")))	;LANG;
				PUNKTC (polar PUNKTA (angle PUNKTA PUNKTB) skr)
				PUNKTD (polar PUNKTB (angle PUNKTB PUNKTA) skr)
		)
		(command "_pline" PUNKTA "_w" "12" "12" PUNKTB "")
		
		(setvar "CLAYER" "IS_grzejniki_os")
		(command "_pline" PUNKTC "_w" "8" "8" PUNKTD "")

		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun grzejnikrzut
;=========================================================================

;=========================================================================
(defun c:grzejniklazrzut ( / skr PUNKTA PUNKTB PUNKTC PUNKTD )
(if (mh:qawa)
	(progn

		(mh:ustzap)


		;=============================================================
		(mh:warstwa "IS_grzejniki_lazienkowe" T)
		(mh:warstwa "IS_grzejniki_lazienkowe_os" nil)
		;=============================================================


		(setq	skr 5	;skr- skrocenie linii osiowej na grzejniku
				PUNKTA (getpoint (nth *lang* (list "\nKliknij pocztek grzejnika." "\nClick the beginning of the bathroom radiator.")))	;LANG;
				PUNKTB (getpoint PUNKTA (nth *lang* (list "\nKliknij koniec grzejnika." "\nClick the end of the bathroom radiator.")))	;LANG;
				PUNKTC (polar PUNKTA (angle PUNKTA PUNKTB) skr)
				PUNKTD (polar PUNKTB (angle PUNKTB PUNKTA) skr)
		)
		(command "_pline" PUNKTA "_w" "12" "12" PUNKTB "")
		
		(setvar "CLAYER" "IS_grzejniki_lazienkowe_os")
		(command "_pline" PUNKTC "_w" "8" "8" PUNKTD "")

		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun grzejnikrzut
;=========================================================================

;=========================================================================
(defun c:grzejnikelektryczny ( / skr grub PUNKTA PUNKTB PUNKTC PUNKTD PUNKTA1 PUNKTA2 PUNKTB1 PUNKTB2 PUNKT2 PUNKT3 PUNKT4 PUNKT5)
(if (mh:qawa)
	(progn

		(mh:ustzap)


		;=============================================================
		(mh:warstwa "IS_grzejniki_elektryczne_tlo" T)
		(mh:warstwa "IS_grzejniki_elektryczne_os" nil)
		(mh:warstwa "IS_grzejniki_elektryczne" nil)
		(mh:warstwa "IS_opisy" nil)
		;=============================================================


		(setq	skr 5	;skr- skrocenie linii osiowej na grzejniku
				grub 6	;poowa grubosci grzejnika zalezna od szerokosci polilinii
				PUNKTA (getpoint (nth *lang* (list "\nKliknij pocztek grzejnika." "\nClick the beginning of the electric heater.")))	;LANG;
				PUNKTB (getpoint PUNKTA (nth *lang* (list "\nKliknij koniec grzejnika." "\nClick the end of the electric heater.")))	;LANG;
				PUNKTC (polar PUNKTA (angle PUNKTA PUNKTB) skr)
				PUNKTD (polar PUNKTB (angle PUNKTB PUNKTA) skr)
				PUNKTA1 (polar PUNKTA (+ (angle PUNKTA PUNKTB) (* pi 0.5)) grub)
				PUNKTA2 (polar PUNKTA (- (angle PUNKTA PUNKTB) (* pi 0.5)) grub)
				PUNKTB1 (polar PUNKTB (+ (angle PUNKTA PUNKTB) (* pi 0.5)) grub)
				PUNKTB2 (polar PUNKTB (- (angle PUNKTA PUNKTB) (* pi 0.5)) grub)
		)
		(command "_pline" PUNKTA "_w" "12" "12" PUNKTB "")
		
		(setvar "CLAYER" "IS_grzejniki_elektryczne_os")
		(command "_pline" PUNKTC "_w" "8" "8" PUNKTD "")
		
		(mh:ENT_Make_LWPolyline "IS_opisy" nil (list PUNKTA1 PUNKTA2 PUNKTB2 PUNKTB1) 1)
		
		(setvar "CLAYER" "IS_grzejniki_elektryczne")
		(setq	PUNKT2 (polar (polar PUNKTA 0 9.09) (/ pi 2) 10.12)
				PUNKT3 (polar (polar PUNKTA 0 18.18) (/ pi 2) 20.23)
				PUNKT4 (polar (polar PUNKTA 0 8.48) (/ pi 2) 19.23)
				PUNKT5 (polar (polar PUNKTA 0 22.58) (/ pi 2) 35.81)
		)
		(command "_pline" PUNKTA "_w" "0" "9" PUNKT2 "_w" "2" "2" PUNKT3 PUNKT4 "_w" "2" "6" PUNKT5 "")
		(princ (nth *lang* (list "\nKliknij lokalizacj oznaczenia." "\nClick the location of the mark.")))	;LANG;
		(mh:przesun PUNKT3 (list (entlast)))

		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun grzejnikrzut
;========================================================================= 

;=========================================================================
(defun c:mhlustro ( / zbior punkt punkt2) ; szybkie lustro
	(if (mh:qawa)
		(progn

			(mh:ustzap)

				(princ (nth *lang* (list "\n\n--Wybierz elementy:-- " "\n\n--Select items: -- ")))	;LANG;
				(setq zbior (ssget "_:S"))

				(while zbior
					(setq	punkt (getpoint (nth *lang* (list "\nWska punkt odbicia w pionie." "\nPick the vertical reflection point.")))	;LANG;
							punkt2 (polar punkt (* 0.5 pi) 100)
					)
					(command "_mirror" zbior "" punkt punkt2 "_y")

					(setq zbior (ssget "_:S"))
					(princ)
				);while

			(mh:ustprzywr)
			
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
	(princ)
);defun
;=========================================================================

